"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypesImports = void 0;
var getTypesImports = function (mutationArgsType, rootObjectsName, resultType) {
    var argsTypeImport = mutationArgsType !== 'unknown' ? " ".concat(mutationArgsType, " ") : '';
    var resultTypeImport = rootObjectsName.includes(resultType)
        ? ", ".concat(resultType)
        : '';
    var typesImports = mutationArgsType === 'unknown' && !rootObjectsName.includes(resultType)
        ? ''
        : "import {".concat(argsTypeImport, " ").concat(resultTypeImport, " } from '../types/api-types';");
    return typesImports;
};
exports.getTypesImports = getTypesImports;
